import { getDojoClient, getGuildForRequest } from "@/src/services/guildService";
import { RequestHandler } from "express";

export const queueDojoComponentDestructionController: RequestHandler = async (req, res) => {
    const guild = await getGuildForRequest(req);
    const componentId = req.query.componentId as string;

    guild.DojoComponents.id(componentId)!.DestructionTime = new Date(Date.now() + 2 * 3600_000);

    await guild.save();
    res.json(await getDojoClient(guild, 0, componentId));
};
